package gui.settings.dialog;

import gui.settings.dialog.page.AbstractSettingsPage;
import gui.settings.dialog.page.SettingsPage;

import java.awt.Window;
import java.io.IOException;

import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import util.exception.CancelException;

public abstract class AbstractListSettingsDialog extends AbstractSettingsDialog{
	private static final long serialVersionUID = 4769803932640267226L;

	protected JList<AbstractSettingsPage> entries;
	protected DefaultListModel<AbstractSettingsPage> entriesModel;
	
	public AbstractListSettingsDialog(Window owner, String title) {
		super(owner, title);

		entriesModel=new DefaultListModel<>();
		entries=new JList<>(entriesModel);
		split.setLeftComponent(entries);
		entries.addListSelectionListener(new ListSelectionListener() {
			
			@Override
			public void valueChanged(ListSelectionEvent e) {
				selectEntry();
			}
		});		
	}
	
	private void selectEntry() {
		setCurrentSettingsPage(entries.getSelectedValue());
	}

	public void addPage(SettingsPage p) {
		entriesModel.addElement(p);
	}
	
	@Override
	public void showDialog() throws CancelException, IOException {
		showDialog(0);
	}
	
	public void showDialog(int selectIndex) throws CancelException,IOException {
		for (int i=0;i<entriesModel.getSize();i++) {
			entriesModel.get(i).load();
		}
		entries.setSelectedIndex(selectIndex);
		selectEntry();
		super.showDialog();
		for (int i=0;i<entriesModel.getSize();i++) {
			entriesModel.get(i).save();
		}
	}
}
