package gui.settings.dialog.group;

import static gui.layout.AnchorParam.height;
import static gui.layout.AnchorParam.left;
import static gui.layout.AnchorParam.right;
import static gui.layout.AnchorParam.width;
import gui.layout.AnchorLayout;
import gui.layout.AnchorLayoutConstraints;
import gui.resource.ResourceManager;
import gui.settings.dialog.component.CheckboxSettingsComponent;
import gui.settings.dialog.component.ProxySettingsComponent;
import gui.settings.dialog.page.NetworkSettingsPage;

public class ProxySettingsGroup extends SettingsComponentGroup {

	private static final long serialVersionUID = 1818530809126025346L;
	
	public ProxySettingsGroup(ResourceManager rm) {
		super("Proxy", rm);
	}

	@Override
	protected void createSettingsComponents(ResourceManager rm) {
		setLayout(new AnchorLayout());
		CheckboxSettingsComponent chkEnable=new CheckboxSettingsComponent(NetworkSettingsPage.SETTING_PROXY_ENABLED,rm.getLocalizedString(NetworkSettingsPage.LOCALE_PROXY_ENABLED));		
		addSettingsComponent(chkEnable,AnchorLayoutConstraints.get(left(20),height(24) ));
		final ProxySettingsComponent proxyComponent=new ProxySettingsComponent(rm);
		addSettingsComponent(proxyComponent, AnchorLayout.getConstraints(right(20),width(160), height(80) ));
	}
}