/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.table;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JProgressBar;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

public class TableProgressBar extends JProgressBar implements TableCellRenderer {

	private static final long serialVersionUID = 1L;

	public TableProgressBar() {
		super(0,100);
		setStringPainted(true);
		setBackground(Color.WHITE);
	}
	
	@Override
	public synchronized Component getTableCellRendererComponent(JTable table, Object val, boolean isSelected, boolean hasFocus, int row, int column) {
		if(val!=null) {
			int v=Math.min((Integer)val,100);
			
			setValue(v);
			setString(v + " %");
		}
		return this;
	}
	
}
